Package org.spongepowered.asm.mixin

## Annotation Type Debug

    @Target({TYPE,METHOD})
    @Retention(RUNTIME)
    public @interface Debug

Anotation used to decorate items you might wish to examine after mixin application.

### Optional Element Summary

Optional Elements
`boolean` `export` Only applicable for classes, use this to decorate mixins that you wish to export even if `mixin.debug.export` is not enabled.
`boolean` `print` Print the method bytecode to the console after mixin application.

### Element Detail

#### export

    boolean export

Only applicable for classes, use this to decorate mixins that you wish to export even if `mixin.debug.export` is not enabled. This is useful if you wish to export only the target of the mixin you are working on without enabling export globally.

Note that if `mixin.debug.export` is not `true` then the decompiler is not initialised (even if present on the classpath) and thus you must set `mixin.debug.export.decompile` to `true` in order to have force-exported classes decompiled.

Returns:
  whether to export the decorated target class

Default:
  false

#### print

    boolean print

Print the method bytecode to the console after mixin application. This setting is only used if the `mixin.debug.verbose` option is enabled.

Returns:
  whether to print the class or method to the console.

Default:
  false